Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.smtp
Class RelayPath

    java.lang.Object
      |
      +--org.apache.commons.net.smtp.RelayPath

public final class RelayPath
extends java.lang.Object

A class used to represent forward and reverse relay paths. The SMTP MAIL command requires a reverse relay path while the SMTP RCPT command requires a forward relay path. See RFC 821 for more details. In general, you will not have to deal with relay paths.

Author:
  Daniel F. Savarese
See Also:
  `SMTPClient`

Constructor Summary
`RelayPath(java.lang.String emailAddress)` Create a relay path with the specified email address as the ultimate destination.

Method Summary
`void` | `addRelay(java.lang.String hostname)` Add a mail relay host to the relay path.
`java.lang.String` | `toString()` Return the properly formatted string representation of the relay path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RelayPath

    public RelayPath(java.lang.String emailAddress)

  Create a relay path with the specified email address as the ultimate destination.

Parameters:
  `emailAddress` - The destination email address.

Method Detail

### addRelay

    public void addRelay(java.lang.String hostname)

  Add a mail relay host to the relay path. Hosts are added left to right. For example, the following will create the path `< @bar.com,@foo.com:foobar@foo.com >`

       path = new RelayPath("foobar@foo.com");
       path.addRelay("bar.com");
       path.addRelay("foo.com");

  Parameters:
    `hostname` - The host to add to the relay path.

### toString

    public java.lang.String toString()

  Return the properly formatted string representation of the relay path.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The properly formatted string representation of the relay path.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2003 Apache Software Foundation. All Rights Reserved.